Subject: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Feb 2014 15:05:26 +0200

> Date: Sat, 22 Feb 2014 13:33:14 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> Cc: [email-masked]
> 
> > Actually, I _can_ think of one possible reason for this difference:
> > compiler optimizations.  If the 24.3.50.1 binary was compiled without
> > optimizations, it can definitely be about 2 times slower than an
> > optimized build of 24.3.1.  What is the value of system-configuration
> > and system-configuration-options in both builds?
> 
> How can I retrieve them?

You need to evaluate them inside Emacs:

  M-: system-configuration RET
  M-: system-configuration-options RET

> Both are precompiled version I  downloaded; the 24.3.50.1 from dropbox:
> https://www.dropbox.com/sh/3pgcb3iiy8s9irl/c171Xhsd99

I'm quite sure the release binary is optimized, while the snapshot one
is not.

> (I wasn't able to compile it myself on windows; I tried it, but I wasn't
> able to find all prerequisites. This is really easier on linux.)

Latest versions compile like on GNU/Linux, you just need to create a
suitable environment first, using the advice in nt/INSTALL.